# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

%if !%buildfor7_2
Name:		kde-i18n-da
%else
Name:		kde-i18n-Danish
%endif
Summary:	Danish language support for KDE
Version:	2.2.1
Release:	2mdk
Group:		Graphical desktop/KDE
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source:		%name-%version.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root
%if !%buildfor7_2
Obsoletes:	kde-i18n-Danish
%endif
Requires:	locales-da
BuildArch:	noarch

%description
Danish language support for KDE.

%prep

%setup -q -n %name

%build
%configure

%make


%install
rm -fr %buildroot

# Dadou - 2.2-0.beta1.1mdk - Workaroud for a buggy Makefile...
rm -f $RPM_BUILD_DIR/%name/docs/kdelibs/api/install-dep.entities

make install DESTDIR=%buildroot


%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%dir %_docdir/HTML/
%dir %_docdir/HTML/da/
#%doc %_docdir/HTML/da/api/*.bz2
#
#
%dir %_docdir/HTML/da/common/
%doc %_docdir/HTML/da/common/fdl-license
%doc %_docdir/HTML/da/common/gpl-license
%doc %_docdir/HTML/da/common/*.css
%doc %_docdir/HTML/da/common/*.dcl
%doc %_docdir/HTML/da/common/*.html
%doc %_docdir/HTML/da/common/*.png
#
#
%dir %_docdir/HTML/da/kabalone/
%doc %_docdir/HTML/da/kabalone/common
%doc %_docdir/HTML/da/kabalone/*.docbook
%doc %_docdir/HTML/da/kabalone/*.bz2
#
#
%dir %_docdir/HTML/da/kaddressbook/
%doc %_docdir/HTML/da/kaddressbook/*.docbook
%doc %_docdir/HTML/da/kaddressbook/*.bz2
#
#
%dir %_docdir/HTML/da/kasteroids/
%doc %_docdir/HTML/da/kasteroids/common
%doc %_docdir/HTML/da/kasteroids/*.docbook
%doc %_docdir/HTML/da/kasteroids/*.bz2
#
#
%dir %_docdir/HTML/da/katomic/
%doc %_docdir/HTML/da/katomic/common
%doc %_docdir/HTML/da/katomic/*.docbook
%doc %_docdir/HTML/da/katomic/*.bz2
#
#
%dir %_docdir/HTML/da/kbackgammon/
%doc %_docdir/HTML/da/kbackgammon/*.docbook
%doc %_docdir/HTML/da/kbackgammon/*.bz2
#
#
%dir %_docdir/HTML/da/kbattleship/
%doc %_docdir/HTML/da/kbattleship/*.docbook
%doc %_docdir/HTML/da/kbattleship/*.bz2
#
#
%dir %_docdir/HTML/da/kblackbox/
%doc %_docdir/HTML/da/kblackbox/common
%doc %_docdir/HTML/da/kblackbox/*.docbook
%doc %_docdir/HTML/da/kblackbox/*.bz2
#
#
%dir %_docdir/HTML/da/kcontrol/
%doc %_docdir/HTML/da/kcontrol/*.docbook
%doc %_docdir/HTML/da/kcontrol/*.bz2
%doc %_docdir/HTML/da/kcontrol/*.png
#
%dir %_docdir/HTML/da/konqueror/
%doc %_docdir/HTML/da/konqueror/common
%doc %_docdir/HTML/da/konqueror/*.png
#
%dir %_docdir/HTML/da/kdvi/
%doc %_docdir/HTML/da/kdvi/*.docbook
%doc %_docdir/HTML/da/kdvi/*.png
%doc %_docdir/HTML/da/kdvi/*.bz2
#
#
%dir %_docdir/HTML/da/kfouleggs/
%doc %_docdir/HTML/da/kfouleggs/common
%doc %_docdir/HTML/da/kfouleggs/*.docbook
%doc %_docdir/HTML/da/kfouleggs/*.bz2
#
#
%dir %_docdir/HTML/da/kfract/
%doc %_docdir/HTML/da/kfract/*.docbook
%doc %_docdir/HTML/da/kfract/*.bz2
#
#
%dir %_docdir/HTML/da/kiconedit/
%doc %_docdir/HTML/da/kiconedit/common
%doc %_docdir/HTML/da/kiconedit/*.docbook
%doc %_docdir/HTML/da/kiconedit/*.bz2
#
#
%dir %_docdir/HTML/da/kjezz/
%doc %_docdir/HTML/da/kjezz/*.docbook
%doc %_docdir/HTML/da/kjezz/*.bz2
#
#
%dir %_docdir/HTML/da/kjumpingcube/
%doc %_docdir/HTML/da/kjumpingcube/common
%doc %_docdir/HTML/da/kjumpingcube/*.docbook
%doc %_docdir/HTML/da/kjumpingcube/*.bz2
#
%dir %_docdir/HTML/da/kghostview/
%doc %_docdir/HTML/da/kghostview/common
%doc %_docdir/HTML/da/kghostview/*.docbook
%doc %_docdir/HTML/da/kghostview/*.bz2
#
%dir %_docdir/HTML/da/kmines/
%doc %_docdir/HTML/da/kmines/common
%doc %_docdir/HTML/da/kmines/*.docbook
%doc %_docdir/HTML/da/kmines/*.png
%doc %_docdir/HTML/da/kmines/*.bz2
#
#
%dir %_docdir/HTML/da/kpat/
%doc %_docdir/HTML/da/kpat/common
%doc %_docdir/HTML/da/kpat/*.docbook
%doc %_docdir/HTML/da/kpat/*.bz2
#
#
%dir %_docdir/HTML/da/konquest/
%doc %_docdir/HTML/da/konquest/*.docbook
%doc %_docdir/HTML/da/konquest/*.bz2
#
#
%dir %_docdir/HTML/da/kpoker/
%doc %_docdir/HTML/da/kpoker/common
%doc %_docdir/HTML/da/kpoker/*.docbook
%doc %_docdir/HTML/da/kpoker/*.png
%doc %_docdir/HTML/da/kpoker/*.bz2
#
#
%dir %_docdir/HTML/da/kreversi/
%doc %_docdir/HTML/da/kreversi/common
%doc %_docdir/HTML/da/kreversi/*.docbook
%doc %_docdir/HTML/da/kreversi/*.png
%doc %_docdir/HTML/da/kreversi/*.bz2
#
#
%dir %_docdir/HTML/da/kruler/
%doc %_docdir/HTML/da/kruler/*.docbook
%doc %_docdir/HTML/da/kruler/*.bz2
#
#
%dir %_docdir/HTML/da/ksame/
%doc %_docdir/HTML/da/ksame/common
%doc %_docdir/HTML/da/ksame/*.docbook
%doc %_docdir/HTML/da/ksame/*.bz2
#
#
%dir %_docdir/HTML/da/kshisen/
%doc %_docdir/HTML/da/kshisen/common
%doc %_docdir/HTML/da/kshisen/*.docbook
%doc %_docdir/HTML/da/kshisen/*.bz2
#
#
%dir %_docdir/HTML/da/ksirtet/
%doc %_docdir/HTML/da/ksirtet/common
%doc %_docdir/HTML/da/ksirtet/*.docbook
%doc %_docdir/HTML/da/ksirtet/*.bz2
#
#
%dir %_docdir/HTML/da/ksnake/
%doc %_docdir/HTML/da/ksnake/common
%doc %_docdir/HTML/da/ksnake/*.docbook
%doc %_docdir/HTML/da/ksnake/*.bz2
#
#
%dir %_docdir/HTML/da/ksnapshot/
%doc %_docdir/HTML/da/ksnapshot/*.docbook
%doc %_docdir/HTML/da/ksnapshot/*.png
%doc %_docdir/HTML/da/ksnapshot/*.bz2
#
#
%dir %_docdir/HTML/da/kspaceduel/
%doc %_docdir/HTML/da/kspaceduel/*.docbook
%doc %_docdir/HTML/da/kspaceduel/*.png
%doc %_docdir/HTML/da/kspaceduel/*.bz2
#
#
%dir %_docdir/HTML/da/kspell/
%doc %_docdir/HTML/da/kspell/*.docbook
%doc %_docdir/HTML/da/kspell/*.bz2
#
#
%dir %_docdir/HTML/da/ksokoban/
%doc %_docdir/HTML/da/ksokoban/common
%doc %_docdir/HTML/da/ksokoban/*.docbook
%doc %_docdir/HTML/da/ksokoban/*.bz2
#
#
%dir %_docdir/HTML/da/ktron/
%doc %_docdir/HTML/da/ktron/*.docbook
%doc %_docdir/HTML/da/ktron/*.bz2
#
#
%dir %_docdir/HTML/da/ktuberling/
%doc %_docdir/HTML/da/ktuberling/*.docbook
%doc %_docdir/HTML/da/ktuberling/*.png
%doc %_docdir/HTML/da/ktuberling/*.bz2
#
#
%dir %_docdir/HTML/da/kview/
%doc %_docdir/HTML/da/kview/*.docbook
%doc %_docdir/HTML/da/kview/*.png
%doc %_docdir/HTML/da/kview/*.bz2
#
#
%dir %_docdir/HTML/da/kwin4/
%doc %_docdir/HTML/da/kwin4/*.docbook
%doc %_docdir/HTML/da/kwin4/*.bz2
#
#
%dir %_docdir/HTML/da/lskat/
%doc %_docdir/HTML/da/lskat/common
%doc %_docdir/HTML/da/lskat/*.docbook
%doc %_docdir/HTML/da/lskat/*.bz2
#
#
%dir %_docdir/HTML/da/pixie/
%doc %_docdir/HTML/da/pixie/*.docbook
%doc %_docdir/HTML/da/pixie/*.png
%doc %_docdir/HTML/da/pixie/*.bz2
#
%dir %_docdir/HTML/da/klines/
%doc %_docdir/HTML/da/klines/common
%doc %_docdir/HTML/da/klines/*.docbook
%doc %_docdir/HTML/da/klines/*.bz2
#
%dir %_docdir/HTML/da/kpaint/
%doc %_docdir/HTML/da/kpaint/common
%doc %_docdir/HTML/da/kpaint/*.docbook
%doc %_docdir/HTML/da/kpaint/*.bz2
#
%dir %_docdir/HTML/da/konqueror/
%doc %_docdir/HTML/da/konqueror/common
%doc %_docdir/HTML/da/konqueror/*.docbook
%doc %_docdir/HTML/da/konqueror/*.bz2
#
%dir %_datadir/apps/
%dir %_datadir/apps/ktuberling/
%dir %_datadir/apps/ktuberling/sounds/
%dir %_datadir/apps/ktuberling/sounds/da/
%_datadir/apps/ktuberling/sounds/da/*.wav
#

#
#
%dir %_datadir/locale/
%dir %_datadir/locale/da/
%_datadir/locale/da/charset
%_datadir/locale/da/*.desktop
%_datadir/locale/da/*.png
#
#
%dir %_datadir/locale/da/LC_MESSAGES/
%_datadir/locale/da/LC_MESSAGES/*.mo


%changelog
* Fri Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- update code

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Wed Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- remove koffice message

* Thu Aug 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Fri Aug 03 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk
- kde 2.2 pre1

* Wed Jun 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Automatically build right package for right distribution

* Sat Jun 09 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.1mdk
- KDE 2.2.alpha2

* Wed Mar 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Add Obsoletes tag to allow clean updates

* Tue Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Sun Feb 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1
